# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::Dae::Sampler2D Struct Reference

COLLADA sampler2D. More...

`#include <DaeHelpers.hpp>`

Inheritance diagram for vl::Dae::Sampler2D:

List of all members.

## Public Member Functions

| Sampler2D ()

## Public Attributes

ref< Dae::Surface > | mDaeSurface
vl::ETexParamFilter | mMinFilter
vl::ETexParamFilter | mMagFilter
vl::ETexParamWrap | mWrapS
vl::ETexParamWrap | mWrapT
ref< Texture > | mTexture

## Detailed Description

COLLADA sampler2D.

Definition at line 304 of file DaeHelpers.hpp.

## Constructor & Destructor Documentation

vl::Dae::Sampler2D::Sampler2D | ( | ) | `[inline]`

Definition at line 306 of file DaeHelpers.hpp.

References mMagFilter, mMinFilter, mWrapS, mWrapT, vl::TPF_LINEAR, and vl::TPW_REPEAT.

## Member Data Documentation

ref<Dae::Surface> vl::Dae::Sampler2D::mDaeSurface

Definition at line 315 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::prepareTexture2D().

vl::ETexParamFilter vl::Dae::Sampler2D::mMinFilter

Definition at line 316 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::prepareTexture2D(), and Sampler2D().

vl::ETexParamFilter vl::Dae::Sampler2D::mMagFilter

Definition at line 317 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::prepareTexture2D(), and Sampler2D().

vl::ETexParamWrap vl::Dae::Sampler2D::mWrapS

Definition at line 318 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::prepareTexture2D(), and Sampler2D().

vl::ETexParamWrap vl::Dae::Sampler2D::mWrapT

Definition at line 319 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::prepareTexture2D(), and Sampler2D().

ref<Texture> vl::Dae::Sampler2D::mTexture

Definition at line 321 of file DaeHelpers.hpp.

Referenced by vl::DaeLoader::prepareTexture2D().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/DaeHelpers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:45:00.
Permission is granted to use this page to write and publish articles regarding Visualization Library.